package videostore;
import java.util.*;

// 7.0
public class Cliente {
    private String _nome;
    private List _noleggi = new ArrayList();

    public Cliente (String nome) {
	_nome = nome;
    }

    public void addNoleggio(Noleggio arg) {
	_noleggi.add(arg);
    }
    
    public String getNome(){
	return _nome;
    }

    public String rendiconto() {
	int puntiNoleggiFrequenti = 0;
	Iterator noleggi = _noleggi.iterator();
	String r = "Rendiconto noleggi per " + getNome() + "\n";
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    
	    puntiNoleggiFrequenti += ognuno.getIncrementoNoleggiFrequenti();
	    // aggiungi al risultato
	    r += "\t" + ognuno.getFilm().getTitolo() + "\t" + 
		 String.valueOf(ognuno.getAmmontare()) + "\n";
	} // while

	// aggiungi pie' di pagina
	r += "L'ammontare dovuto e' " + String.valueOf(getAmmontareTotale()) + "\n";
	r += "Hai guadagnato " + String.valueOf(puntiNoleggiFrequenti) + 
	     " punti per noleggi frequenti\n";
	return r;
    }

    private double getAmmontareTotale() {
	double result = 0;
	Iterator noleggi = _noleggi.iterator();
	while (noleggi.hasNext()) {
	    Noleggio ognuno = (Noleggio) noleggi.next();
	    result += ognuno.getAmmontare();
	}
	return result;
    }
}
