package videostore;

// 9.0
public class Noleggio {
    private Film _film;
    private int _giorniNoleggio;

    public Noleggio(Film film, int giorniNoleggio) {
	_film = film;
	_giorniNoleggio = giorniNoleggio;
    }

    public int getGiorniNoleggio() {
	return _giorniNoleggio;
    }

    public Film getFilm() {
	return _film;
    }

    public double getAmmontare() {
	return _film.getAmmontare(_giorniNoleggio);
    }

    public int getIncrementoNoleggiFrequenti() {
	if ((this.getFilm().getCodicePrezzo() == Film.NOVITA) &&
	    this.getGiorniNoleggio() > 1)
	    return 2;
	else
	    return 1;
    }
}
