package videostore;

// 7.0
public class Noleggio {
    private Film _film;
    private int _giorniNoleggio;

    public Noleggio(Film film, int giorniNoleggio) {
	_film = film;
	_giorniNoleggio = giorniNoleggio;
    }

    public int getGiorniNoleggio() {
	return _giorniNoleggio;
    }

    public Film getFilm() {
	return _film;
    }

    public double getAmmontare() {
	double risultato = 0;
	// ammontare per ogni noleggio
	switch (this.getFilm().getCodicePrezzo()) {
	case Film.REGOLARE:
	    risultato += 2;
	    if (this.getGiorniNoleggio() > 2)
		risultato += (this.getGiorniNoleggio() - 2) * 1.5;
	    break;
	case Film.NOVITA:
	    risultato += this.getGiorniNoleggio() * 3;
	    break;
	case Film.BAMBINI:
	    risultato += 1.5;
	    if (this.getGiorniNoleggio() > 3)
		risultato += (this.getGiorniNoleggio() - 3) * 1.5;
	    break;
	}
	return risultato;
    }

    public int getIncrementoNoleggiFrequenti() {
	if ((this.getFilm().getCodicePrezzo() == Film.NOVITA) &&
	    this.getGiorniNoleggio() > 1)
	    return 2;
	else
	    return 1;
    }
}
